import * as Memory from "dojo/store/Memory";
import * as Observable from "dojo/store/Observable";

interface Schedule {

    id?: string;

    title: string;

    duration: number;
}

declare const store: dojo.store.api.Store<Schedule>;

const observable = new Observable(store);

const mem = new Memory<Schedule>();

observable.query().observe(() => { });
store.query().forEach(() => { });
const total = await store.query().total;
const res1 = await store.query(undefined, { sort: [{ attribute: "duration", descending: true }] });
const res2 = await store.query(undefined, { sort: ({ duration: a }, { duration: b }) => a - b });

mem.query();

mem.add({ duration: 10, title: "Test event" });
